"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var src_1 = require("../../src");
var feature = src_1.loadFeature('./specs/features/auto-bind-steps.feature');
src_1.defineFeature(feature, function (test) {
    test('Feature files registered with `autoBindSteps`', function (_a) {
        var given = _a.given, when = _a.when, then = _a.then, and = _a.and;
        given('some feature files matching my glob pattern are registered with `autoBindSteps`', function () {
            var featureFile1 = '';
            var featureFile2 = '';
            var featureFile3 = '';
            var featureFile4 = '';
            var featureFile5 = '';
            var featureFiles = [featureFile1, featureFile2, featureFile3, featureFile4, featureFile5];
            var parsedFeatures = featureFiles.map(function (featureFile) { return src_1.parseFeature(featureFile); });
            var feature1Steps = function (_a) {
                var given = _a.given, and = _a.and, when = _a.when, then = _a.then;
                given(/^the vending machine has "(.*)" in stock$/, function (itemName) {
                });
                and('I have inserted the correct amount of money', function () {
                });
                when(/^I purchase "(.*)"$/, function (itemName) {
                    vendingMachine.dispenseItem(itemName);
                });
                then(/^my "(.*)" should be dispensed$/, function (itemName) {
                    var inventoryAmount = vendingMachine.items[itemName];
                    expect(inventoryAmount).toBe(0);
                });
            };
            src_1.autoBindSteps(parsedFeatures);
        });
        when('I run my Jest tests', function () {
        });
        then('every scenario in those features should be registered as a Jest test', function () {
        });
        and('the scenarios should be grouped under the feature\'s `describe` block', function () {
        });
    });
    test('Step in feature file matches a step definition', function (_a) {
        var given = _a.given, when = _a.when, then = _a.then;
        given('a step in a feature file matches a step definition registered with `autoBindSteps`', function () {
        });
        when('I run my Jest tests', function () {
        });
        then('that step definition should be registered as the step definition for that step in the Jest test', function () {
        });
    });
    test('Step definition matches more than one step in a scenario', function (_a) {
        var given = _a.given, when = _a.when, then = _a.then;
        given('a step definition registered with `autoBindSteps` matches more than one step in a scenario', function () {
        });
        when('I run my Jest tests', function () {
        });
        then('that step definition should be registered as the step definition for all matching steps in the Jest test', function () {
        });
    });
    test('Step in a feature file matches more than one step definition', function (_a) {
        var given = _a.given, when = _a.when, then = _a.then;
        given('a step in a feature file matches more than one step definition', function () {
        });
        when('I run my Jest tests', function () {
        });
        then('I should see a validation error saying that more than one step definition matches the step', function () {
        });
    });
    test('Step in a feature file with no matching step definitions', function (_a) {
        var given = _a.given, when = _a.when, then = _a.then;
        given('a step in a feature file matching the glob pattern has no matching step definitions', function () {
        });
        when('I run my Jest tests', function () {
        });
        then('I should see a validation error with suggested code for the missing step definition', function () {
        });
    });
});
//# sourceMappingURL=auto-bind-steps.steps.js.map